Skip to content

List all webhooks in project
GA

Request

Returns a paginated list of webhooks for the specified project. If no page token is supplied then all registered webhooks (of maximum 15) are returned in alphabetical order.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

Query
pageTokenstring

The page token if retrieving the next page from a previous query.

pageSizenumber, [ 1 .. 15 ]

The page size requested.

curl -i -X GET \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/webhooks?pageToken=string&pageSize=1' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

List of webhooks

Bodyapplication/json
totalSizenumberrequired

Total size of the entries matching the search query.

pageSizenumberrequired

Requested size of the page.

webhooksArray of objects(WebhookWebhookDto)required
previousPageTokenstring

Encoded token to use in list request to fetch previous batch of entries.

nextPageTokenstring

Encoded token to use in list request to fetch next batch of entries.

Response

Returns a paginated list of webhooks for the specified project. If no page token is supplied then all registered webhooks (of maximum 15) are returned in alphabetical order.

{ "previousPageToken": "{{TOKEN}}", "nextPageToken": "{{TOKEN}}", "pageSize": 1, "totalSize": 5, "webhooks": [ { … }, { … } ] }
We'd love to hear from you!
Rate this content: